List

Lists statements with filtering, sorting, and pagination. | authz_personas=[statement_org_operators, statement_driver] | () -> (StatementsListRes)

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

sort_byenumOptional
Field to sort by
Allowed values:
sort_orderenumOptional

Sort order (ascending or descending)

Allowed values:
pageintegerOptional>=1Defaults to 1
page_sizeintegerOptional1-100Defaults to 20
filter_statuslist of enums or nullOptional

Filter by statement status(es)

Allowed values:
filter_settlement_typeenum or nullOptional
Filter by settlement type
Allowed values:
filter_payment_origin_org_idstring or nullOptional
Filter by payment origin org ID
filter_payment_destination_org_idstring or nullOptional
Filter by payment destination org ID
filter_owned_by_org_idstring or nullOptional
Filter by owned by org ID
filter_staged_at_timestamp_gtestring or nullOptionalformat: "date-time"

Filter by staged_at_timestamp >= value

filter_staged_at_timestamp_ltestring or nullOptionalformat: "date-time"

Filter by staged_at_timestamp <= value

filter_opened_at_timestamp_gtestring or nullOptionalformat: "date-time"

Filter by opened_at_timestamp >= value

filter_opened_at_timestamp_ltestring or nullOptionalformat: "date-time"

Filter by opened_at_timestamp <= value

filter_paid_at_timestamp_gtestring or nullOptionalformat: "date-time"

Filter by paid_at_timestamp >= value

filter_paid_at_timestamp_ltestring or nullOptionalformat: "date-time"

Filter by paid_at_timestamp <= value

Response

Successful Response
statementslist of objects
total_countinteger

Errors